Bug 525559 - Publican not installable due to missing font dependencies
Publican not installable due to missing font dependencies
Status: CLOSED RAWHIDE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-24 16:15 EDT by Bruno Wolff III
Modified: 2010-11-23 23:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-24 22:44:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2009-09-24 16:15:41 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:

[bruno@cerberus bruno]# yum install publican
Loaded plugins: dellsysidplugin, dellsysidplugin2, keys, list-data, merge-conf,
              : priorities, protect-packages, protectbase, refresh-packagekit,
              : upgrade-helper, verify, versionlock
0 packages excluded due to repository protections
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package publican.noarch 0:0.44-1.fc12 set to be updated
--> Processing Dependency: lohit-fonts-telugu for package: publican-0.44-1.fc12.noarch
--> Processing Dependency: lohit-fonts-kannada for package: publican-0.44-1.fc12.noarch
--> Processing Dependency: lohit-fonts-punjabi for package: publican-0.44-1.fc12.noarch
--> Processing Dependency: lohit-fonts-hindi for package: publican-0.44-1.fc12.noarch
--> Processing Dependency: lohit-fonts-bengali for package: publican-0.44-1.fc12.noarch
--> Processing Dependency: lohit-fonts-malayalam for package: publican-0.44-1.fc12.noarch
--> Processing Dependency: lohit-fonts-gujarati for package: publican-0.44-1.fc12.noarch
--> Processing Dependency: lohit-fonts-oriya for package: publican-0.44-1.fc12.noarch
--> Processing Dependency: lohit-fonts-tamil for package: publican-0.44-1.fc12.noarch
--> Finished Dependency Resolution
publican-0.44-1.fc12.noarch from fedora has depsolving problems
  --> Missing Dependency: lohit-fonts-tamil is needed by package publican-0.44-1.fc12.noarch (fedora)
publican-0.44-1.fc12.noarch from fedora has depsolving problems
  --> Missing Dependency: lohit-fonts-gujarati is needed by package publican-0.44-1.fc12.noarch (fedora)
publican-0.44-1.fc12.noarch from fedora has depsolving problems
  --> Missing Dependency: lohit-fonts-kannada is needed by package publican-0.44-1.fc12.noarch (fedora)
publican-0.44-1.fc12.noarch from fedora has depsolving problems
  --> Missing Dependency: lohit-fonts-hindi is needed by package publican-0.44-1.fc12.noarch (fedora)
publican-0.44-1.fc12.noarch from fedora has depsolving problems
  --> Missing Dependency: lohit-fonts-punjabi is needed by package publican-0.44-1.fc12.noarch (fedora)
publican-0.44-1.fc12.noarch from fedora has depsolving problems
  --> Missing Dependency: lohit-fonts-malayalam is needed by package publican-0.44-1.fc12.noarch (fedora)
publican-0.44-1.fc12.noarch from fedora has depsolving problems
  --> Missing Dependency: lohit-fonts-oriya is needed by package publican-0.44-1.fc12.noarch (fedora)
publican-0.44-1.fc12.noarch from fedora has depsolving problems
  --> Missing Dependency: lohit-fonts-telugu is needed by package publican-0.44-1.fc12.noarch (fedora)
publican-0.44-1.fc12.noarch from fedora has depsolving problems
  --> Missing Dependency: lohit-fonts-bengali is needed by package publican-0.44-1.fc12.noarch (fedora)

Packages skipped because of dependency problems:
    publican-0.44-1.fc12.noarch from fedora

[bruno@cerberus bruno]# yum list lohit-fonts-'*'
Loaded plugins: dellsysidplugin, dellsysidplugin2, keys, list-data, merge-conf,
              : priorities, protect-packages, protectbase, refresh-packagekit,
              : upgrade-helper, verify, versionlock
0 packages excluded due to repository protections
Available Packages
lohit-fonts-common.noarch                  2.4.2-1.fc12                   fedora


Expected results:


Additional info:
Comment 1 Jeff Fearn 2009-09-24 22:44:17 EDT
Package: publican-0.44-2.fc12
Tag: dist-f12
Status: complete
Built by: jfearn
ID: 133551
Started: Fri, 25 Sep 2009 02:03:05 UTC
Finished: Fri, 25 Sep 2009 02:06:41 UTC
Changelog:
* Mon Sep 21 2009 Jeff Fearn <jfearn@redhat.com> 0.44-2
- remove lohit font deps, they don't work for PDFs generated in FOP

Note You need to log in before you can comment on or make changes to this bug.